curl --request GET \
--url https://app.seedops.co/api/v1/signals \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.seedops.co/api/v1/signals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.seedops.co/api/v1/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.seedops.co/api/v1/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.seedops.co/api/v1/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.seedops.co/api/v1/signals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.seedops.co/api/v1/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodySearch published signals
Returns data.items and data.nextCursor. Use limit=1–50 (default 50) to choose the maximum returned signals. Only actual returned items consume usage. Search filters can be combined; cursor must be reused with the same filters. Unknown and repeated parameters are rejected.
curl --request GET \
--url https://app.seedops.co/api/v1/signals \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.seedops.co/api/v1/signals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.seedops.co/api/v1/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.seedops.co/api/v1/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.seedops.co/api/v1/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.seedops.co/api/v1/signals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.seedops.co/api/v1/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
SeedOps API key, created in the API dashboard.
Headers
8 - 128Query Parameters
Activity title keywords, quoted phrases, and -excluded terms; not semantic search.
1000company
180companySlug
180all
1000exact
180any
1000exclude
1000country
180industry
180size
1-49, 50-100, 101-500, 501-10000000 days
7, 30, 90 dateRanges
47, 30, 90, older dateFrom
^\d{4}-\d{2}-\d{2}$dateTo
^\d{4}-\d{2}-\d{2}$Category IDs from seedops filters or GET /filter-options
301 - 180Hiring type; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections
180Job function; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections
180Seniority; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections
180Employment type; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections
180Work arrangement; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections
180fundingStage
180fundingCurrency
USD, EUR, GBP fundingMin
x >= 0fundingMax
x >= 0companies
501 - 180activityIds
50^[1-9][0-9]{0,18}$ids
1 - 50 elements^[1-9][0-9]{0,18}$Use nextCursor with exactly the same filters
512Maximum signals to return, from 1 to 50. Defaults to 50. Usage counts only returned signals.
1 <= x <= 50page
1 <= x <= 100countOnly
Response
Success. The result is wrapped in a data property.